# Global website configuration
baseurl: ""

url: https://www.hifis.net

title: "HIFIS"

# Encoding needs to be UTF-8.
encoding: utf-8

# Directory paths
directory:
  css:          /assets/css/
  images:       /assets/img/
  large_images: /assets/img/jumbotrons/
  javascript:   /assets/js/
  vendor:       /assets/vendor/
  videos:       /assets/videos/

# Defaults
default:
  title_image: hifis_page_title_background.svg

defaults:
  -
    scope:
      path:     "assets"
    values:
      sitemap:  false
  -
    scope:
      path:     ""
      type:     "events"
    values:
      author:   "HIFIS"
  -
    scope:
      path:     ""
      type:     "posts"
    values:
      author:   "HIFIS"

gitlab:
  project_url: https://gitlab.hzdr.de/hifis/hifis.net

contact_mail: hifis-help@hzdr.de
helpdesk: hifis-help.hzdr.de

sass:
  load_paths:
    - _sass
    - _sass/team_card
  style: compressed

exclude:
  - assets/vendor/bootstrap
  - scripts/

plugins:
  - 'jekyll-paginate'
  - 'jekyll-redirect-from'
  - 'jekyll-feed'
  - 'jekyll-sitemap'

paginate: 5
paginate_path: '/news/page:num/'

markdown: kramdown
kramdown:
  syntax_highlighter: rouge
  syntax_highlighter_opts:
 #   formatter: HTMLLinewise # formatter was desired but seems to be broken
    span:
      line_numbers: false
    block:
      line_numbers: true

highlighter: rouge

collections:
    members:
      output: true
      permalink: /:collection/:slug

    events:
      output: true
      permalink: /:collection/:year/:month/:day/:title

    roadmap:
      output: true
      permalink: /:collection/:year/:month/:day/:title

feed:
  collections:
    posts:
      path: "/feed/news.xml"
    events:
      path: "/feed/events.xml"
  excerpt_only: true

# Features checked by modernizr
# Used by CSS to generate modernizr.scss appropriate classes
modernizr:
  check_features:
    - cssgradients
    - csscalc
    - cssfilters
    - cssremunit
    - cssvhunit
    - cssvwunit
#   - hairline
#   - lowbandwidth
    - svg
    - svgasimg
    - svgfilters
    - supports
    - opacity
    - rgba
    - hidden
    - unknownelements
    - srcset
    - inlinesvg
    - fontface
    - generatedcontent
    - mediaqueries
    - borderradius
    - backgroundsize
    - bgsizecover
    - borderimage
    - boxshadow
#   - cssgridlegacy
#   - cssgrid
    - flexbox
    - flexwrap
    - objectfit
    - object-fit
    - mathml
    - jpeg2000
